{****************************************************}
{}
{	CSATDirector.p																								}
{}
{	Director class for use with the Sprite Animation Toolkit. This class is			}
{	minimalist, since it is quite game dependant.													}
{}
{	Important: Only one instance of this class should exist, namely the director	}
{	which supervises the window containing CSATPane. Remember that SAT is	}
{	designed for a single rectangle of animation in a single window.						}
{}
{****************************************************}


unit CSATDirector;

interface

	uses
		TCL, SATTCLIntf;

implementation


{****************************************************}
{}
{	ISATDirector																								}
{}
{	Initializes a SAT Director object.																	}
{}
{****************************************************}

	procedure CSATDirector.ISATDirector (aSupervisor: CApplication);

	begin { ISATDirector }
		IDirector(aSupervisor);

		itsSATPane := nil;
	end; { ISATDirector }


{****************************************************}
{}
{	Free																												}
{}
{	Free the SAT Director class, and close down any sounds. This is a good 			}
{	place to delete any sprites and sounds which you have created.						}
{}
{****************************************************}

	procedure CSATDirector.Free;

	begin { Free }
		SATSoundShutup;

		itsSATPane := nil;

		inherited Free;
	end; { Free }


{****************************************************}
{}
{	BuildWindow																																																		}
{}
{	In this method, you should build the window as you want it, and set				}
{	itsSATPane to point to the single instance of the CSATPane class.					}
{	Remember - You have to initialize SAT before you can build any						}
{	sprites or sounds.																							}
{}
{****************************************************}

	procedure CSATDirector.BuildWindow;

	begin { BuildWindow }
	end; { BuildWindow }


end. { CSATDirector }